XmStringSegmentCreate(3Xm)

NAME
XmStringSegmentCreate — a compound string function that creates a compound string.

SYNOPSIS
#include <Xm/Xm.h>

XmString XmStringSegmentCreate (text, charset, direction, separator)
    char    * text;
    XmStringCharSet    charset;
    XmStringDirection    direction;
    Boolean    separator;

DESCRIPTION
XmStringSegmentCreate is a high-level function which assembles a compound string consisting of a character set identifier, a direction component, a text component, and an optional separator component.

text
    Specifies a pointer to a null terminated string.

charset
    Specifies the character set identifier to be associated with the text. This can be XmSTRING_DEFAULT_CHARSET.

direction
    Specifies the direction of the text.

separator
    Specifies separator addition. If False, the compound string will not have a separator at the end. If True, a separator will immediately follow the text component.

RETURN VALUE
Returns a new compound string.

RELATED INFORMATION
XmStringCreate(3Xm).